import VMdPreview from '@kangc/v-md-editor/lib/preview';
import '@kangc/v-md-editor/lib/style/preview.css';
import githubTheme from '@kangc/v-md-editor/lib/theme/github.js';
import '@kangc/v-md-editor/lib/theme/style/github.css';
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import Hljs from "highlight.js"
import {createApp} from 'vue'
import App from './App.vue'
import http from "./utils/http.js";

const app = createApp(App)
app.config.globalProperties.$http = http
VMdPreview.use(githubTheme, {Hljs})
app.use(ElementPlus)
app.use(VMdPreview);
app.mount('#app')
